Package org.apache.cxf.staxutils.validation

# Class W3CMultiSchemaFactory

java.lang.Object
org.apache.cxf.staxutils.validation.W3CMultiSchemaFactory

public class W3CMultiSchemaFactory extends Object
Legacy implementation for Woostox 5.x. For Woodstox 6.2+, use W3CMultiSchemaFactory in Woodstox itself.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `W3CMultiSchemaFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.codehaus.stax2.validation.XMLValidationSchema`
  `createSchema(String baseURI, Map<String,Source> schemaSources)`
  Creates an XMLValidateSchema that can be used to validate XML instances against any of the schemas defined in the Map of schemaSources.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### W3CMultiSchemaFactory

    public W3CMultiSchemaFactory() throws NoSuchMethodException
    Throws:
      `NoSuchMethodException`

- ## Method Details

  - ### createSchema

    public org.codehaus.stax2.validation.XMLValidationSchema createSchema(String baseURI, Map<String,Source> schemaSources) throws XMLStreamException
    Creates an XMLValidateSchema that can be used to validate XML instances against any of the schemas defined in the Map of schemaSources. Map of schemas is namespace -> Source
    Throws:
      `XMLStreamException`